Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::reverse_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename S >
auto | operator() (I begin, S end_) const -> I requires bidirectional_iterator< I > &&sentinel_for< S, I > &&permutable< I >
template<typename Rng , typename I = iterator_t<Rng>>
auto | operator() (Rng &&rng) const -> safe_iterator_t< Rng > requires bidirectional_range< Rng > &&permutable< I >